C*********************************************************
C*  FORTRAN PROGAM TO READ AND PRINT LOWPC.ASC (FILE 26) *
C*********************************************************
       INTEGER LP,LPID,ZONE,NREC
       REAL AREA,PERIMETER,LOWNJA,LOWNJL,LOWNAN,LOWSJA,
     1  LOWSJL,LOWSAN,LOWS2JA,LOWS2JL,LOWS2AN,LOWAJA,
     2  LOWAJL,LOWAAN,LOWA2JA,LOWA2JL,LOWA2AN,CYCJA,
     2  CYCJL,CYCLONE
C*********************************************************
C*  INITIALIZE A COUNTER OF THE NUMBER OF RECORDS READ   *
C*********************************************************
       NREC=0
C*********************************************************
C*  READ THE FLAT ASCII FILE INFORMATION                 *
C*********************************************************
  10   READ(UNIT=5,FMT=100) AREA,PERIMETER,LP,LPID,ZONE,
     1  LOWNJA,LOWNJL,LOWNAN,LOWSJA,LOWSJL,LOWSAN,LOWS2JA
       READ(UNIT=5,FMT=101,END=999) LOWS2JL,LOWS2AN,LOWAJA,
     1  LOWAJL,LOWAAN,LOWA2JA,LOWA2JL,LOWA2AN,CYCJA,CYCJL,
     2  CYCLONE
 100   FORMAT(F12.3,F13.3,3I6,7F9.2)
 101   FORMAT(F8.2,10F9.2)
C*********************************************************
C*  START A NEW PAGE AND WRITE A DESCRIPTIVE HEADER      *
C*********************************************************
       IF (NREC.EQ.36) NREC=0
       IF (NREC.EQ.0) WRITE(6,102)
       IF (NREC.EQ.0) WRITE(6,103)
 102   FORMAT('1','AREA',9X,'PERIMETER',3X,'#',5X,'ID',4X,
     1  'ZONE',4X,'LOWNJA',2X,'LOWNJL',2X,'LOWNAN',2X,
     2  'LOWSJA',2X,'LOWSJL',2X,'LOWSAN',2X,'LOWS2JA',1X)
 103   FORMAT(' ','LOWS2JL',1X,'LOWS2AN',1X,'LOWAJA',2X,
     1  'LOWAJL',2X,'LOWAAN',2X,'LOWA2JA',1X,'LOWA2JL',1X,
     2  'LOWA2AN',1X,'CYCJA',3X,'CYCJL',3X,'CYCLONE',1X)
       NREC=NREC+2
C*********************************************************
C*  WRITE THE FLAT ASCII FILE TO THE OUTPUT DIVICE       *
C*********************************************************
       WRITE(6,104) AREA,PERIMETER,LP,LPID,ZONE,LOWNJA,
     1  LOWNJL,LOWNAN,LOWSJA,LOWSJL,LOWSAN,LOWS2JA
       WRITE(6,105) LOWS2JL,LOWS2AN,LOWAJA,LOWAJL,LOWAAN,
     1  LOWA2JA,LOWA2JL,LOWA2AN,CYCJA,CYCJL,CYCLONE
 104   FORMAT(1X,2F12.3,3I6,7F8.2)
 105   FORMAT(1X,11F8.2)
C
       GO TO 10
 999   STOP
       END
